## r-cran-generics 0.0.2

=== tests/testthat/testMultiPackage/DESCRIPTION ===
Package: testMultiPackage
Title: Tools to make developing R code easier
License: GPL-2
Description:
Author: Hadley <h.wickham@gmail.com>
Maintainer: Hadley <h.wickham@gmail.com>
Version: 0.1
Collate: 
  a.r
RoxygenNote: 6.1.0

=== tests/testthat/testS4Docs/DESCRIPTION ===
Package: testS4Docs
Title: Tools to make developing R code easier
License: GPL-2
Description:
Author: Hadley <h.wickham@gmail.com>
Maintainer: Hadley <h.wickham@gmail.com>
Version: 0.1
Collate: a.r
RoxygenNote: 6.1.0

=== tests/testthat/testSameRd/DESCRIPTION ===
Package: testSameRd
Title: Tools to make developing R code easier
License: GPL-2
Description:
Author: Hadley <h.wickham@gmail.com>
Maintainer: Hadley <h.wickham@gmail.com>
Version: 0.1
Collate: 
  a.r
RoxygenNote: 6.1.0

=== debian/changelog ===
r-cran-generics (0.0.2-2) unstable; urgency=medium

  * Team upload
  * Add Test-Depends: r-cran-pkgload

 -- Graham Inggs <ginggs@debian.org>  Mon, 10 Dec 2018 12:08:45 +0000

r-cran-generics (0.0.2-1) unstable; urgency=medium

  * Initial release (closes: #915377)

 -- Andreas Tille <tille@debian.org>  Mon, 03 Dec 2018 11:39:37 +0100

=== debian/control ===
Source: r-cran-generics
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-generics
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-generics.git
Homepage: https://cran.r-project.org/package=generics

Package: r-cran-generics
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R common S3 generics not provided by base R methods
 This GNU R package provides a number of commonly used S3 generics that
 are not provided by base R methods related to model fitting in order to
 reduce potential package dependencies and conflicts,

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/generics_([-\d.]*)\.tar\.gz

## r-cran-generics 0.1.0

=== DESCRIPTION ===
Package: generics
Title: Common S3 Generics not Provided by Base R Methods Related to
        Model Fitting
Version: 0.1.0
Authors@R: 
    c(person(given = "Hadley",
             family = "Wickham",
             role = c("aut", "cre"),
             email = "hadley@rstudio.com"),
      person(given = "Max",
             family = "Kuhn",
             role = "aut",
             email = "max@rstudio.com"),
      person(given = "Davis",
             family = "Vaughan",
             role = "aut",
             email = "davis@rstudio.com"),
      person(given = "RStudio",
             role = "cph"))
Description: In order to reduce potential package dependencies
    and conflicts, generics provides a number of commonly used S3
    generics.
License: MIT + file LICENSE
URL: https://generics.r-lib.org, https://github.com/r-lib/generics
BugReports: https://github.com/r-lib/generics/issues
Depends: R (>= 3.1)
Imports: methods
Suggests: covr, pkgload, testthat, tibble
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2020-10-30 18:38:40 UTC; hadley
Author: Hadley Wickham [aut, cre],
  Max Kuhn [aut],
  Davis Vaughan [aut],
  RStudio [cph]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2020-10-31 06:10:15 UTC

=== debian/changelog ===
r-cran-generics (0.1.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 06 Nov 2020 11:22:30 +0100

r-cran-generics (0.0.2-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Rename obsolete path debian/tests/control.autodep8 to
    debian/tests/control.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Archive, Bug-Database, Repository,
    Repository-Browse.

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 15 May 2020 22:04:28 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-generics
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-generics.git
 Homepage: https://cran.r-project.org/package=generics
+Rules-Requires-Root: no
 
 Package: r-cran-generics
 Architecture: all

## r-cran-generics 0.1.1

=== debian/changelog ===
r-cran-generics (0.1.1-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 0.1.1
  * Run cme

 -- Nilesh Patra <nilesh@debian.org>  Thu, 28 Oct 2021 00:06:18 +0530

## r-cran-generics 0.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: generics
 Title: Common S3 Generics not Provided by Base R Methods Related to
         Model Fitting
-Version: 0.1.0
+Version: 0.1.2
 Authors@R: 
     c(person(given = "Hadley",
              family = "Wickham",
@@ -23,18 +23,18 @@
 License: MIT + file LICENSE
 URL: https://generics.r-lib.org, https://github.com/r-lib/generics
 BugReports: https://github.com/r-lib/generics/issues
-Depends: R (>= 3.1)
+Depends: R (>= 3.2)
 Imports: methods
-Suggests: covr, pkgload, testthat, tibble
+Suggests: covr, pkgload, testthat (>= 3.0.0), tibble, withr
+Config/testthat/edition: 3
 Encoding: UTF-8
-LazyData: true
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 NeedsCompilation: no
-Packaged: 2020-10-30 18:38:40 UTC; hadley
+Packaged: 2022-01-31 22:58:18 UTC; hadley
 Author: Hadley Wickham [aut, cre],
   Max Kuhn [aut],
   Davis Vaughan [aut],
   RStudio [cph]
 Maintainer: Hadley Wickham <hadley@rstudio.com>
 Repository: CRAN
-Date/Publication: 2020-10-31 06:10:15 UTC
+Date/Publication: 2022-01-31 23:30:02 UTC

=== tests/testthat/testGenericsExtension/DESCRIPTION ===
Package: testGenericsExtension
Title: Tools to make developing R code easier
License: GPL-2
Description:
Author: Hadley <h.wickham@gmail.com>
Maintainer: Hadley <h.wickham@gmail.com>
Version: 0.1
Collate: a.r
RoxygenNote: 6.1.0
Imports:
  generics

=== debian/changelog ===
r-cran-generics (0.1.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 12 Feb 2022 08:35:12 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-generics
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-generics.git
 Homepage: https://cran.r-project.org/package=generics

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-pkgload
Restrictions: allow-stderr

## r-cran-generics 0.1.3

=== DESCRIPTION ===
Package: generics
Title: Common S3 Generics not Provided by Base R Methods Related to
        Model Fitting
Version: 0.1.3
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = c("aut", "cre")),
    person("Max", "Kuhn", , "max@rstudio.com", role = "aut"),
    person("Davis", "Vaughan", , "davis@rstudio.com", role = "aut"),
    person("RStudio", role = "cph")
  )
Description: In order to reduce potential package dependencies and
    conflicts, generics provides a number of commonly used S3 generics.
License: MIT + file LICENSE
URL: https://generics.r-lib.org, https://github.com/r-lib/generics
BugReports: https://github.com/r-lib/generics/issues
Depends: R (>= 3.2)
Imports: methods
Suggests: covr, pkgload, testthat (>= 3.0.0), tibble, withr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.2.0
NeedsCompilation: no
Packaged: 2022-07-05 14:52:13 UTC; davis
Author: Hadley Wickham [aut, cre],
  Max Kuhn [aut],
  Davis Vaughan [aut],
  RStudio [cph]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2022-07-05 19:40:02 UTC

=== tests/testthat/testSingleMethod/DESCRIPTION ===
Package: testSingleMethod
Title: Tools to make developing R code easier
License: GPL-2
Description:
Author: Hadley <h.wickham@gmail.com>
Maintainer: Hadley <h.wickham@gmail.com>
Version: 0.1
Collate: a.r
RoxygenNote: 6.1.0

=== debian/changelog ===
r-cran-generics (0.1.3-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 14 Jul 2022 09:10:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-generics
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-generics
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-generics.git
+Homepage: https://cran.r-project.org/package=generics
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-generics
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-generics.git
-Homepage: https://cran.r-project.org/package=generics
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-generics
 Architecture: all

## r-cran-generics 0.1.4

=== DESCRIPTION ===
Package: generics
Title: Common S3 Generics not Provided by Base R Methods Related to
        Model Fitting
Version: 0.1.4
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@posit.co", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0003-4757-117X")),
    person("Max", "Kuhn", , "max@posit.co", role = "aut"),
    person("Davis", "Vaughan", , "davis@posit.co", role = "aut"),
    person("Posit Software, PBC", role = c("cph", "fnd"),
           comment = c(ROR = "https://ror.org/03wc8by49"))
  )
Description: In order to reduce potential package dependencies and
    conflicts, generics provides a number of commonly used S3 generics.
License: MIT + file LICENSE
URL: https://generics.r-lib.org, https://github.com/r-lib/generics
BugReports: https://github.com/r-lib/generics/issues
Depends: R (>= 3.6)
Imports: methods
Suggests: covr, pkgload, testthat (>= 3.0.0), tibble, withr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2025-05-09 18:17:41 UTC; hadleywickham
Author: Hadley Wickham [aut, cre] (ORCID:
    <https://orcid.org/0000-0003-4757-117X>),
  Max Kuhn [aut],
  Davis Vaughan [aut],
  Posit Software, PBC [cph, fnd] (ROR: <https://ror.org/03wc8by49>)
Maintainer: Hadley Wickham <hadley@posit.co>
Repository: CRAN
Date/Publication: 2025-05-09 23:50:06 UTC

=== debian/changelog ===
r-cran-generics (0.1.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 24 Dec 2025 14:35:33 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: r-cran-generics
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-generics
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-generics.git
 Homepage: https://cran.r-project.org/package=generics
-Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-generics
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-pkgload,
        r-cran-testthat (>= 3.0.0),
        r-cran-tibble,
        r-cran-withr
Restrictions: allow-stderr
